/*
 * Copyright 2023 Arne Vajh�j.
 * 
 * Licensed under the Apache License, Version 2.0 (the "License");
 * you may not use this file except in compliance with the License.
 * You may obtain a copy of the License at
 *
 *    http://www.apache.org/licenses/LICENSE-2.0
 *
 * Unless required by applicable law or agreed to in writing, software
 * distributed under the License is distributed on an "AS IS" BASIS,
 * WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
 * See the License for the specific language governing permissions and
 * limitations under the License. 
 */

package dk.vajhoej.isam.test;

import java.io.Serializable;

import dk.vajhoej.isam.KeyField;
import dk.vajhoej.record.FieldType;
import dk.vajhoej.record.Struct;
import dk.vajhoej.record.StructField;

@Struct
public class MultiKeyData implements Serializable {
    private static final long serialVersionUID = 1L;
    @KeyField(n=0)
	@StructField(n=0,type=FieldType.INT4)
	private int k1;
    @KeyField(n=1)
	@StructField(n=1,type=FieldType.INT4)
	private int k2;
    @KeyField(n=2)
	@StructField(n=2,type=FieldType.INT4)
	private int k3;
	public int getK1() {
		return k1;
	}
	public void setK1(int k1) {
		this.k1 = k1;
	}
	public int getK2() {
		return k2;
	}
	public void setK2(int k2) {
		this.k2 = k2;
	}
	public int getK3() {
		return k3;
	}
	public void setK3(int k3) {
		this.k3 = k3;
	}
	@Override
	public String toString() {
		return String.format("(%d,%d,%d)", k1, k2, k3);
	}
}
